Get Line Item Selector (LIS) List
Pulls a list of line item selectors available and defined at the business level.
To call this API, the offers ingestion option must be enabled for the business on the Punchh platform. Contact your Punchh representative to update this Punchh platform configuration.
Line item selector search is on a business level, and the request can:
- Set search limits and order by descending search
- Filter based on name and other attributes, for example, name or recency
For more information, see Offers Ingestion Management
- Type: stringAccept
Set this header to application/json
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: stringContent
- Type Set this header to application/json
- Type: integerpage
Number of pages to retrieve. If the requested number exceeds the available pages, the system will retrieve up to the last valid page. If the
pagevalue is not provided, the default value is used. - Type: integerper
_page Number of records per page. If the
per_pagevalue is not provided, the default value is used. The maximumper_pagevalue is enforced based on the OFFERS_LIST_MAX_PER_PAGE environment variable. - Type: stringquery
Define the search string on the lis name column
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/offers/lis \
--header 'Accept: ' \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--data '{
"query": "free",
"page": 1,
"per_page": 20
}'
{
"data": [
{
"external_id": "EXTERNAL_ID_GOES_HERE",
"name": "LIS",
"filter_type": "base_and_modifiers",
"exclude_non_payable": true,
"base_items": {
"clauses": [
{
"attribute": "item_name",
"operator": "like",
"value": "White Rice"
}
]
},
"modifiers": {
"clauses": [
{
"attribute": "item_name",
"operator": "like",
"value": "curry Rice"
}
],
"processing_method": "max_price",
"max_discount_units": 2
}
},
{
"external_id": "EXTERNAL_ID_GOES_HERE",
"name": "LIS 2",
"filter_type": "base_only",
"exclude_non_payable": true,
"base_items": {
"clauses": [
{
"attribute": "item_name",
"operator": "like",
"value": "White Rice"
}
]
}
}
],
"meta": {
"page": 1,
"per_page": 2,
"total_records": 10
}
}